<?php

/**
 * Footer Options
 *
 * @package dark_fitness
 */

$wp_customize->add_section(
	'dark_fitness_footer_options',
	array(
		'panel' => 'dark_fitness_theme_options',
		'title' => esc_html__( 'Footer Options', 'dark-fitness' ),
	)
);

$copyright_default = sprintf( esc_html_x( 'Copyright &copy; %1$s %2$s', '1: Year, 2: Site Title with home URL', 'dark-fitness' ), '[the-year]', '[site-link]' );
$wp_customize->add_setting(
	'dark_fitness_footer_copyright_text',
	array(
		'default'           => $copyright_default,
		'sanitize_callback' => 'wp_kses_post',
		'transport'         => 'refresh',
	)
);

$wp_customize->add_control(
	'dark_fitness_footer_copyright_text',
	array(
		'label'    => esc_html__( 'Copyright Text', 'dark-fitness' ),
		'section'  => 'dark_fitness_footer_options',
		'settings' => 'dark_fitness_footer_copyright_text',
		'type'     => 'textarea',
	)
);

// Footer Options - Scroll Top.
$wp_customize->add_setting(
	'dark_fitness_scroll_top',
	array(
		'sanitize_callback' => 'dark_fitness_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Dark_Fitness_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dark_fitness_scroll_top',
		array(
			'label'   => esc_html__( 'Enable Scroll Top Button', 'dark-fitness' ),
			'section' => 'dark_fitness_footer_options',
		)
	)
);
