<?php

/**
 * Dynamic CSS
 */
function dark_fitness_dynamic_css() {
	$primary_color = get_theme_mod( 'primary_color', '#c1e503' );

	$site_title_font       = get_theme_mod( 'dark_fitness_site_title_font', 'Raleway' );
	$site_description_font = get_theme_mod( 'dark_fitness_site_description_font', 'Raleway' );
	$header_font           = get_theme_mod( 'dark_fitness_header_font', 'Epilogue' );
	$body_font             = get_theme_mod( 'dark_fitness_body_font', 'Raleway');

	$custom_css  = '';
	$custom_css .= '
    /* Color */
    :root {
        --primary-color: ' . esc_attr( $primary_color ) . ';
        --header-text-color: ' . esc_attr( '#' . get_header_textcolor() ) . ';
    }
    ';

	$custom_css .= '
    /* Typograhpy */
    :root {
        --font-heading: "' . esc_attr( $header_font ) . '", serif;
        --font-main: -apple-system, BlinkMacSystemFont,"' . esc_attr( $body_font ) . '", "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    body,
	button, input, select, optgroup, textarea {
        font-family: "' . esc_attr( $body_font ) . '", serif;
	}

	.site-title a {
        font-family: "' . esc_attr( $site_title_font ) . '", serif;
	}
    
	.site-description {
        font-family: "' . esc_attr( $site_description_font ) . '", serif;
	}
    ';

    // slider and service hideshow css
    $dark_fitness_show_slider = get_theme_mod( 'dark_fitness_enable_banner_section', false);
    $dark_fitness_show_service = get_theme_mod( 'dark_fitness_enable_service_section', false);
        if($dark_fitness_show_slider == false && $dark_fitness_show_service == false){
            $custom_css .='.home header.site-header .header-main-wrapper .bottom-header-outer-wrapper .bottom-header-part{';
            $custom_css .='position:static;background: var(--background-color-white);
        }
        padding: 10px;
        border-bottom: 1px solid #777777;';
            $custom_css .='}';
    }

   if($dark_fitness_show_slider == false){
        $custom_css .='.home header.site-header .header-main-wrapper .bottom-header-outer-wrapper .bottom-header-part{';
            $custom_css .='position:static;background: var(--background-color-white); padding: 10px; border-bottom: 1px solid #777777;';
        $custom_css .='}';
        $custom_css .='#dark_fitness_service_section{';
            $custom_css .='margin:5px;';
        $custom_css .='}';
    }

	wp_add_inline_style( 'dark-fitness-style', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'dark_fitness_dynamic_css', 99 );
