<?php

if ( ! get_theme_mod( 'dark_fitness_enable_service_section', false ) ) {
	return;
}

$dark_fitness_content_ids  = array();
$dark_fitness_content_type = get_theme_mod( 'dark_fitness_service_content_type', 'page' );

for ( $dark_fitness_i = 1; $dark_fitness_i <= 3; $dark_fitness_i++ ) {
	$dark_fitness_content_ids[] = get_theme_mod( 'dark_fitness_service_content_' . $dark_fitness_content_type . '_' . $dark_fitness_i );
}

$dark_fitness_args = array(
	'post_type'           => $dark_fitness_content_type,
	'post__in'            => array_filter( $dark_fitness_content_ids ),
	'orderby'             => 'post__in',
	'posts_per_page'      => absint( 3 ),
	'ignore_sticky_posts' => true,
);

$dark_fitness_args = apply_filters( 'dark_fitness_service_section_args', $dark_fitness_args );

dark_fitness_render_service_section( $dark_fitness_args );

/**
 * Render Service Section.
 */
function dark_fitness_render_service_section( $dark_fitness_args ) {
	$dark_fitness_service_button_label = get_theme_mod( 'dark_fitness_service_button_label', __( 'Know More', 'dark-fitness' ) );
	?>

	<section id="dark_fitness_service_section" class="asterthemes-frontpage-section service-section service-style-1">
		<?php
		if ( is_customize_preview() ) :
			dark_fitness_section_link( 'dark_fitness_service_section' );
		endif;
		?>
		<div class="asterthemes-wrapper">
			<?php 
			$dark_fitness_query = new WP_Query( $dark_fitness_args );
			if ( $dark_fitness_query->have_posts() ) :
				?>
				<div class="section-body">
					<div class="service-section-wrapper">
						<?php
						$dark_fitness_i = 1;
						while ( $dark_fitness_query->have_posts() ) :
							$dark_fitness_query->the_post();
							$dark_fitness_service_icon = get_theme_mod( 'dark_fitness_service_icon_' . $dark_fitness_i, '' );
							?>
							<div class="service-single">
								<?php if ( ! empty( $dark_fitness_service_icon ) ) { ?>
									<div class="service-img">
										<img src="<?php echo esc_url( $dark_fitness_service_icon ); ?>" alt="<?php the_title_attribute(); ?>">
									</div>
								<?php } ?>
								<div class="service-detail">
									<div class="gym-icon">
										<i class="fa fa-dumbbell"></i>
									</div>
									<h3 class="service-title">
										<a href="<?php the_permalink(); ?>">
											<?php the_title(); ?>
										</a>
									</h3>
									<p>
										<?php echo wp_kses_post( wp_trim_words( get_the_content(), 20 ) ); ?>
									</p>
									<?php if ( ! empty( $dark_fitness_service_button_label ) ) : ?>
										<div class="service-button">
											<a href="<?php the_permalink(); ?>" class="asterthemes-button asterthemes-button-noborder-noalternate"><?php echo esc_html( $dark_fitness_service_button_label ); ?></a>
										</div>
									<?php endif; ?>
								</div>
							</div>
							<?php
							$dark_fitness_i++;
						endwhile;
						wp_reset_postdata();
						?>
					</div>
				</div>
			<?php endif; ?>
		</div>
	</section>
	<?php
}
